interface TextIndicesSearchResult {
    start: number;
    end: number;
}
interface Options {
    caseSensitive: boolean;
}
/**
 * Finds the indices of the 'searchText' in the 'fullStr'
 * @param {string} fullStr The string to search on
 * @param {string} searchText The string to find indices in the 'fullStr'
 * @param {boolean} multiple If this is set to true then the function will return an array of matches
 * @param {Options} options The options
 */
export declare function getTextIndices(fullStr: string, searchText: string, multiple: boolean, options?: Options): TextIndicesSearchResult[];
export {};
